{
  "name": "geoguessr-selfhost",
  "version": "0.1.0",
  "private": true,
  "homepage": "https://hiram.services/terrassumptions/",
  "dependencies": {
    "@craco/craco": "^6.1.1",
    "@wojtekmaj/enzyme-adapter-react-17": "^0.6.1",
    "dequal": "^1.0.0",
    "fuse.js": "^6.4.6",
    "iso-3166-1": "^2.0.1",
    "pretty-ms": "^5.1.0",
    "react": "17.0.2",
    "react-dom": "17.0.2",
    "react-scripts": "4.0.3",
    "react-transition-group": "^4.4.1"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "format": "prettier --check src/",
    "format:fix": "prettier --write src/",
    "lint": "eslint --report-unused-disable-directives 'src/**/*.js{,x}'",
    "lint:fix": "yarn lint --fix",
    "check": "yarn format && yarn lint",
    "fix": "yarn format:fix && yarn lint:fix",
    "test": "react-scripts test",
    "test:ci": "CI=true yarn test",
    "test:u": "yarn test -u --watchAll=false",
    "test:cov": "yarn test --coverage --watchAll=false",
    "eject": "react-scripts eject",
    "deploy": "scp -r build hiram:/opt/terrassumptions/srv/build-$(date +'%Y-%m-%dT%H:%M:%S')"
  },
  "prettier": {
    "arrowParens": "avoid"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "enzyme": "^3.11.0",
    "eslint-config-airbnb": "^18.2.1",
    "eslint-config-prettier": "^8.2.0",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-prettier": "^3.4.0",
    "jest-enzyme": "^7.1.2",
    "prettier": "^2.2.1",
    "react-test-renderer": "^16.13.1"
  }
}
